urxvt256c(1)

NAME
urclock (oUR CLOCK) -- clock and appointment reminder for X11

SYNOPSIS
   urclock [options]

DESCRIPTION
urclock -- version 9.31 -- is an analog clock for X intended as an xclock(1) replacement that conserves memory and has extra features: urclock enters reverse video if there is mail waiting; an appointment reminder is also builtin.

  OPTIONS
The options supported by urclock:

-display displayname
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the "DISPLAY" environment variable is used.

-geometry geom
    Create the window with the specified X window geometry [default "80x80"].

-bg color
    Window background color [default "white"].

-fg color
    Window foreground color [default "black"].

-fn fontname
    Select font used for reminders [default "7x14"].

-nodate
    Do not display today's date on the face of the clock.

-iconic
    Start iconified, if supported by the window manager.

-adjust ddhhmm
    Adjust the clock by +/- ddhhmm (dd = days, hh = hours, mm = minutes) to fix an incorrect clock without being root or for working in another time-zone.

-update n
    Update clock face every n seconds [default 30]. If n=1, a seconds hand is displayed.

-mail n
    Check for new mail every n seconds [default 60]. The actual interval is a multiple of the clock update interval.

-mailfile mailfile
    Override environmental variable "MAIL" with mailfile as location for mail.

-mailspawn cmd
    Execute cmd when the face of the clock is clicked by the mouse button.

#geom
    Specify the preferred icon window size [default "65x65"].

Some of these options may not be available based on how urclock was compiled. Run urclock -help to determine which features are available.

X RESOURCES
No X resources are used -- only command-line options.

TITLES AND ICONS
The window and icon titles are set to the day of the week and the date. The date is also displayed on the lower half of the clock unless the -nodate option is specified. The icon window is "active" and will show the time, if supported by the window manager.

REMINDERS
The ~/.rclock file (note: not ~/.urclock) lists the messages to display and/or the programs to run at specified times and dates. At the specified time, urclock will pop-up a window in the center of the screen to display the message or will simply run the scheduled program. urclock will read the ~/.rclock file at startup, and every 10 minutes (to look for changes) and after a message window has been dismissed (to find the next appointment).

An entry in ~/.rclock may be one of two formats (blank and comment lines will be ignored):

hh:mm [dd] MM/DD/YY message[; program]

or

[hh:mm [dd] MM/DD/YY [message]]; program

hh - hour (0-23; * = current)

mm - minute (0-59; * = 0)

dd - days-of-week (some/all/none of umtwrfs; * = all)

MM - month (1-12; * = current)

DD - day of month (1-31; * = current)

YY - year (0-99 or 1900-????; * = current)

message - message to display

program - program to execute

The days-of-the-week use the following abbreviations: u=Sunday, m=Monday, t=Tuesday, w=Wednesday, r=Thursday, f=Friday, s=Saturday, *=all.

If message is empty and program has been specified, it is executed without a dialog box. If time/date are also not specified, program is executed on start-up. Note message may contain escape values (\n: newline, \;: semicolon).

Here's a silly example file that shows some of the permissible constructs:

   # ~/.rclock - My appointment file

   # startup functions
   ; xsetroot -solid Black &

   # cron functions

   10:00; xsetroot -solid Grey25 &
   14:00; xsetroot -solid Grey75 &

   # daily/weekly reminders

   08:15 mtwrf *      Good Morning!\\nRead News?; urxvt -e News
   12:00 mtwrf *      Lunch Time!
   17:00 mtwrf *      Go Home
   23:00 mtwrf *      Still Here? Go to bed
   08:10 twrf  *      Did you do your time card yesterday?
   15:00 f     *      Friday, do your time card early!
   16:00 mtwr  *      Do your time card
   16:30 mtwrf *      Did you do your time card?
   *:00  us    *      It's the weekend, why are you here?
   8:15  f     */13/* Friday the 13th! Careful!
   8:15  *     4/1/*  fkrkrmfismsmkd...dkdfk
   8:16  *     4/1/*  April Fools!

   # birthdays/anniversaries

   16:00    05/21/*   Pam's Birthday (next week)
   16:00    05/24/*   Pam's Birthday (in a few days)

   # once-of appointments

   08:30    03/15/94    Dentist appointment
   08:30    03/15/1999  Dentist appointment
   08:30    03/15/2004  Dentist appointment

ENVIRONMENT
urclock uses the environment variable MAIL to determine the location of the user's mail spool file unless the -mailfile option is specified.

BUGS
urclock is not very smart about dealing with errors encountered while reading the ~/.rclock file. Each reminder must be a single line not exceeding 255 characters. Reminder windows are sometimes not redrawn (left blank) when raised or uncovered.

HISTORY
When "unicodifying" rxvt to urxvt-unicode, other programs than rxvt were dropped, as they would be identical to their rxvt counterparts, and therefore could still be installed independently by installing rxvt.

Since distributions have started dropping rxvt (and thus rclock), the rclock program has been added to the rxvt-unicode package under the name urclock. It should be functionally identical to rxvt's rclock program, including using the same configuration file name.

AUTHORS
Rob Nation <nation@rocket.sanders.lockheed.com>

Modifications by mj olesen <olesen@me.QueensU.CA>

Modifications by Marc A. Lehmann <urclock@schmorp.de>

Modifications by Emanuele Giaquinta <emanuele.giaquinta@gmail.com>

Currently maintained as part of the rxvt-unicode package.